List cards
curl --request GET \
--url https://api-global.fastpaybrasil.com/v1/cards \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-global.fastpaybrasil.com/v1/cards"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-global.fastpaybrasil.com/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "2RhQg9M7ZCg3X3nMb9W1kX8Q",
"token": "tok_abc123xyz",
"maskedNumber": "****1111",
"brand": "visa",
"expirationMonth": "12",
"expirationYear": "2028",
"status": "active",
"createdAt": "2024-01-15T10:30:00.000Z"
}
]{
"statusCode": 401,
"message": "Unauthorized"
}Cards
List cards
Returns a list of registered cards for the authenticated merchant/customer.
GET
/
v1
/
cards
List cards
Authorizations
HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.
Query Parameters
Filter by customer ID
Response
Successfully retrieved the list of cards
Card token ID
Example:
"2RhQg9M7ZCg3X3nMb9W1kX8Q"
Card token
Example:
"tok_abc123xyz"
Masked card number
Example:
"****1111"
Card brand
Example:
"visa"
Expiration month
Example:
"12"
Expiration year
Example:
"2028"
Card status
Available options:
pending_validation, active, inactive Example:
"active"
Creation timestamp
Example:
"2024-01-15T10:30:00.000Z"